org.apache.lucene.analysis.el

## Class GreekStemFilter

- java.lang.Object
- - org.apache.lucene.util.AttributeSource
  - - org.apache.lucene.analysis.TokenStream
    - - org.apache.lucene.analysis.TokenFilter
      - - org.apache.lucene.analysis.el.GreekStemFilter

All Implemented Interfaces:
  Closeable, AutoCloseable

    public final class GreekStemFilter
    extends TokenFilter

A `TokenFilter` that applies `GreekStemmer` to stem Greek words.

To prevent terms from being stemmed use an instance of `KeywordMarkerFilter` or a custom `TokenFilter` that sets the `KeywordAttribute` before this `TokenStream`.

NOTE: Input is expected to be casefolded for Greek (including folding of final sigma to sigma), and with diacritics removed. This can be achieved by using either `GreekLowerCaseFilter` or ICUFoldingFilter before GreekStemFilter.

WARNING: This API is experimental and might change in incompatible ways in the next release.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.lucene.util.AttributeSource

`AttributeSource.AttributeFactory, AttributeSource.State`

### Field Summary

### Fields inherited from class org.apache.lucene.analysis.TokenFilter

`input`

### Constructor Summary

Constructors
Constructor and Description
`GreekStemFilter(TokenStream input)`

### Method Summary

Methods
`boolean` `incrementToken()`

### Methods inherited from class org.apache.lucene.analysis.TokenFilter

`close, end, reset`

### Methods inherited from class org.apache.lucene.util.AttributeSource

`addAttribute, addAttributeImpl, captureState, clearAttributes, cloneAttributes, copyTo, equals, getAttribute, getAttributeClassesIterator, getAttributeFactory, getAttributeImplsIterator, hasAttribute, hasAttributes, hashCode, reflectAsString, reflectWith, restoreState`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GreekStemFilter

    public GreekStemFilter(TokenStream input)

### Method Detail

#### incrementToken

    public boolean incrementToken()
                           throws IOException

Specified by:
  `incrementToken` in class `TokenStream`
Throws:
  `IOException`